Bug 475591 - CGAL-devel: /usr/include/CGAL/boost_relaxed_heap.hpp needs "#include <climits>"
CGAL-devel: /usr/include/CGAL/boost_relaxed_heap.hpp needs "#include <climits>"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: CGAL (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Laurent Rineau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 13:14 EST by Robert P. J. Day
Modified: 2009-07-30 11:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2008-12-09 13:14:31 EST
Similar to bug report 475587, the header file /usr/include/CGAL/boost_relaxed_heap.hpp refers to CHAR_BIT so would appear to need to include <climits> first.
Comment 1 Robert P. J. Day 2008-12-09 13:18:29 EST
By the way, you can reproduce these errors (this bug and the aforementioned bug) by simply "make"ing the "/usr/share/CGAL/examples" directory that comes with the package CGAL-demos-source, which is what I did on my fully-updated F9 system.
Comment 2 Robert P. J. Day 2008-12-09 13:37:38 EST
Whoops, there's one more similar error -- /usr/include/CGAL/Point_set_2.h also needs a "#include <climits>" since it refers to INT_MAX.  I believe that's it.
Comment 3 Bug Zapper 2009-06-09 23:24:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:57:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Laurent Rineau 2009-07-30 11:17:37 EDT
By the way, this have been fixed in rawhide, with the launch of CGAL-3.5-beta1.

Note You need to log in before you can comment on or make changes to this bug.